Package org.eclipse.m2m.atl.adt.ui.preferences

## Class AtlPreferenceStore.Key

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.preferences.AtlPreferenceStore.Key

Enclosing class:
  AtlPreferenceStore

    public static class AtlPreferenceStore.Key
    extends java.lang.Object

Describes a preference key. It has to match a descriptor (a kind of classes) and a name that determines what key it is.

### Constructor Summary

Constructors
`Key​(AtlPreferenceStore.Descriptor descriptor, java.lang.String key)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Key

    public Key​(AtlPreferenceStore.Descriptor descriptor,
               java.lang.String key)